Bug 289241 - Review Request: qimageblitz - Interim image effect library for KDE 4.0
Review Request: qimageblitz - Interim image effect library for KDE 4.0
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 289251
  Show dependency treegraph
 
Reported: 2007-09-13 09:15 EDT by Kevin Kofler
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-19 17:24:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2007-09-13 09:15:33 EDT
Spec URL: http://repo.calcforge.org/f8/qimageblitz.spec
SRPM URL: http://repo.calcforge.org/f8/qimageblitz-0.0.4-0.1.svn706674.fc7.src.rpm
Description:
Blitz is an interim image effect library that people can use until KDE 4.1 is released. KImageEffect, the old image effect class is being dropped for KDE 4.0 and the replacement, Quasar, won't be ready until KDE 4.1. Blitz gives people something to use in the meantime.
(This is a dependency of kdebase4.)
Comment 1 Rex Dieter 2007-09-19 09:10:13 EDT
Looks good, simple and clean.

1 comment:

* move blitztest out of main pkg, it appears to be only an example/test app, not
something required for runtime use.

Address this, and I'll approve.
Comment 2 Kevin Kofler 2007-09-19 10:07:29 EDT
I've wondered about what to do with that one. Where should I move it to:
* qimageblitz-devel?
* a new qimageblitz-examples (which would contain only one file)?
* just rm it?
Comment 3 Rex Dieter 2007-09-19 10:20:24 EDT
Any of those is ok with me... maybe prefer simply removing it for now (perhaps
checking to see what other distros do with it).
Comment 4 Kevin Kofler 2007-09-19 12:41:27 EDT
Mandriva has 3 packages:
* qimageblitz: contains only blitztest
* %mklibname qimageblitz 4 (they love macros over at Mandriva): contains *.so.*
* %mklibname -d qimageblitz: contains the devel files

OpenSUSE has 2 packages (libqimageblitz and libqimageblitz-devel), they put 
blitztest into libqimageblitz-devel.

Debian and Ubuntu also have 2 packages (libqimageblitz4 and 
libqimageblitz-dev), they also put blitztest into libqimageblitz-dev.

kde-windows has qimageblitz-mingw-20070915-bin.zip (the equivalent of our 
qimageblitz), qimageblitz-mingw-20070915-lib.zip (the equivalent of our 
qimageblitz-devel) and qimageblitz-mingw-20070915-src.zip (the equivalent of 
our SRPM), they put blitztest.exe into -bin (i.e. the runtime package).

So we have:
* the 3-package approach (Mandriva)
* the 2-package approach with blitztest in -devel (openSUSE, Debian, Ubuntu)
* the 2-package approach with blitztest in the main package (kde-windows)
all used in the wild already.
Comment 5 Kevin Kofler 2007-09-19 12:43:58 EDT
I'm personally leaning for qimageblitz-examples as the most logical solution, 
it's also consistent with how other libraries are packaged, and it also scales 
if they ever decide to add more examples.
Comment 6 Rex Dieter 2007-09-19 12:59:49 EDT
worksforme, APPROVED.
Comment 8 Kevin Kofler 2007-09-19 14:31:27 EDT
New Package CVS Request
=======================
Package Name: qimageblitz
Short Description: Interim image effect library for KDE 4.0
Owners: kkofler,than,rdieter
Branches: F-7
InitialCC:
Cvsextras Commits: no
Comment 9 Kevin Fenzi 2007-09-19 15:50:37 EDT
cvs done.
Comment 10 Kevin Kofler 2007-09-19 17:24:30 EDT
Built for Rawhide and F7, push to F7 updates-testing requested.

Note You need to log in before you can comment on or make changes to this bug.